## org.h2.fulltext
Class IndexInfo

    java.lang.Object
      org.h2.fulltext.IndexInfo

    public class IndexInfo

extends java.lang.Object

The settings of one full text search index.

Field Summary
`protected java.lang.String[]` `columns` The column names.
`protected int` `id` The index id.
`protected int[]` `indexColumns` The column indexes of the index columns.
`protected int[]` `keys` The column indexes of the key columns.
`protected java.lang.String` `schema` The schema name.
`protected java.lang.String` `table` The table name.

Constructor Summary
`IndexInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

  The index id.

### schema

    protected java.lang.String schema

  The schema name.

### table

    protected java.lang.String table

  The table name.

### keys

    protected int[] keys

  The column indexes of the key columns.

### indexColumns

    protected int[] indexColumns

  The column indexes of the index columns.

### columns

    protected java.lang.String[] columns

  The column names.

Constructor Detail

### IndexInfo

    public IndexInfo()